import React, { useEffect } from "react";
import useStyles from "../useStyles";

import { useStatusContext } from "../Contexts/StatusContext";
import VehicleMap from "../VehicleMap";

const Home = () => {
  const classes = useStyles();
  const { setTitle, setSitePath } = useStatusContext();

  useEffect(() => {
    setTitle("Home");
    setSitePath([]);
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, []);

  return (
    <div className={classes.paper}>
      <VehicleMap />
    </div>
  );
};

export default Home;
